Loading...
Searching...
No Matches
ArrayError.h File Reference
`#include <stdexcept>`
`#include <string>`
`#include "IPosition.h"`

Go to the source code of this file.

## Classes

class | casacore::ArrayError
| More...
class | casacore::ArrayIndexError
| An error thrown when an index is out of range. More...
class | casacore::ArrayConformanceError
| An error thrown when two arrays do not conform. More...
class | casacore::ArrayNDimError
| Thrown when two arrays have different dimensionality. More...
class | casacore::ArrayShapeError
| An error thrown when two arrays have different shapes. More...
class | casacore::ArrayIteratorError
| An error thrown by an ArrayIterator. More...
class | casacore::ArraySlicerError
| An error thrown by an Slicer member function. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines